[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
  <li class="breadcrumb-item">
    <semantic-query
      query='SELECT ?book ?label WHERE
        {
          BIND(<[[urlParam "bookiri"]]> as ?book) .
          ?book ecrm:P3_has_note ?label .
         }'
      template='
        {{#each bindings}}
          <semantic-link
            uri=":viewBook"
            urlqueryparam-bookiri="{{book.value}}"
          >{{label.value}}</semantic-link>
        {{/each}}'
    </semantic-query>
  </li>
</ol>

<semantic-query
  query='SELECT ?book_title ?label WHERE
    {
      ?book ecrm:P3_has_note ?label .
      BIND(<[[urlParam "bookiri"]]> as ?book)
     }'
  template="<h3>{{#each bindings}}{{label.value}}{{/each}}</h3>">
</semantic-query>

<bs-tab-container default-active-key="regions">
  <bs-row>
    <bs-col sm="2" sm-push="10" class="tab-bar">
      [[#if (hasPermission "forms:ldp:*")]]
        <semantic-link
          uri="[[urlParam "bookiri"]]"
          class="btn btn-md btn-primary pull-right"
          style="margin-bottom:3px;">Edit</semantic-link>
      [[/if]]
    </bs-col>
    <bs-col sm="10" sm-pull="2" class="tab-bar">
      <bs-nav bs-style="tabs" >

        <li role="presentation">

          <semantic-link
            uri=":viewBook"
            urlqueryparam-bookiri="[[urlParam "bookiri"]]"
          ><i class="fa fa-long-arrow-left"></i> Back</semantic-link>

        </li>

        <li role="presentation">

          <semantic-link
            uri=":viewBookPages"
            urlqueryparam-bookiri="[[urlParam "bookiri"]]"
          >Pages</semantic-link>

        </li>

        <bs-nav-item event-key="regions">

            <semantic-query
              query='SELECT (COUNT(?region) as ?num_regions) WHERE {
                BIND(<[[urlParam "bookiri"]]> as ?book) .

                ?book efrbroo:R29i_was_reproduced_by/efrbroo:R30_produced/ecrm:P128_carries/ecrm:P106_is_composed_of ?page .

                ?region crmDig:L49_is_primary_area_of ?page .
              }'
              template='{{#each bindings}}
              Regions ({{num_regions.value}})
              {{/each}}'></semantic-query>

        </bs-nav-item>

      </bs-nav>
    </bs-col>
    <div class="content" style="clear:both;">
      <bs-tab-content animation="true">

        <bs-tab-pane event-key="regions">

          <!-- Regions -->
          <bs-row>
            <semantic-query
              query="SELECT
                [[> :queryRegionsSelect]]
              WHERE {
                BIND(<[[urlParam "bookiri"]]> as ?book) .

                [[> :queryRegionsForPage]]

                [[> :queryImageIdPattern]]

              } ORDER BY xsd:integer(?page_num)"
              template='[[> :templatePageRegions redirect=":viewBookRegions"]]'
            ></semantic-query>
          </bs-row>

        </bs-tab-pane>

      </bs-tab-content>
    </div>
  </bs-row>
</bs-tab-container>

[[> :footer]]
